<div class="input-group" fxLayout="row">

  <div class="input-group-prepend" [fxFlex]="prefixSize">
    <span class="input-group-text badge-primary" fxLayoutAlign="center center" fxFlex>{{param?.name}}</span>
  </div>

  <div *ngIf="!isInput" class="form-control" fxLayoutAlign="center center" [fxFlex]="suffixSize">
    <span>{{param.type}}</span>
  </div>

  <input *ngIf="isInput" class="form-control"
         [type]="param?.type" [placeholder]="param?.example"
         [value]="value ? value : ''" (keyup)="valueChange.emit($event.target.value)">
</div>
